Index: sansmodels/src/sans/models/c_models/CBinaryHSModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CBinaryHSModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CBinaryHSModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -204,6 +204,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -291,9 +291,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CBinaryHSModelError, 
+	}
+	PyErr_SetString(CBinaryHSModelError, 
                    "CBinaryHSModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CBinaryHSPSF11Model.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CBinaryHSPSF11Model.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CBinaryHSPSF11Model.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -204,6 +204,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -291,9 +291,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CBinaryHSPSF11ModelError, 
+	}
+	PyErr_SetString(CBinaryHSPSF11ModelError, 
                    "CBinaryHSPSF11Model.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CCoreShellCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCoreShellCylinderModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CCoreShellCylinderModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -215,6 +215,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -310,9 +310,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CCoreShellCylinderModelError, 
+	}
+	PyErr_SetString(CCoreShellCylinderModelError, 
                    "CCoreShellCylinderModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CCoreShellEllipsoidModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCoreShellEllipsoidModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CCoreShellEllipsoidModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -218,6 +218,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -315,9 +315,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CCoreShellEllipsoidModelError, 
+	}
+	PyErr_SetString(CCoreShellEllipsoidModelError, 
                    "CCoreShellEllipsoidModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CCoreShellModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCoreShellModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CCoreShellModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -203,6 +203,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -289,9 +289,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CCoreShellModelError, 
+	}
+	PyErr_SetString(CCoreShellModelError, 
                    "CCoreShellModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CCylinderModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CCylinderModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -209,6 +209,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -299,9 +299,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CCylinderModelError, 
+	}
+	PyErr_SetString(CCylinderModelError, 
                    "CCylinderModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CDiamCylFunc.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CDiamCylFunc.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CDiamCylFunc.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -198,6 +198,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -279,9 +279,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CDiamCylFuncError, 
+	}
+	PyErr_SetString(CDiamCylFuncError, 
                    "CDiamCylFunc.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CDiamEllipFunc.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CDiamEllipFunc.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CDiamEllipFunc.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -198,6 +198,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -279,9 +279,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CDiamEllipFuncError, 
+	}
+	PyErr_SetString(CDiamEllipFuncError, 
                    "CDiamEllipFunc.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CEllipsoidModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CEllipsoidModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CEllipsoidModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -209,6 +209,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -299,9 +299,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CEllipsoidModelError, 
+	}
+	PyErr_SetString(CEllipsoidModelError, 
                    "CEllipsoidModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CEllipticalCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CEllipticalCylinderModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CEllipticalCylinderModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -217,6 +217,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -313,9 +313,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CEllipticalCylinderModelError, 
+	}
+	PyErr_SetString(CEllipticalCylinderModelError, 
                    "CEllipticalCylinderModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CFlexibleCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CFlexibleCylinderModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CFlexibleCylinderModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -205,6 +205,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -292,9 +292,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CFlexibleCylinderModelError, 
+	}
+	PyErr_SetString(CFlexibleCylinderModelError, 
                    "CFlexibleCylinderModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CGaussian.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CGaussian.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CGaussian.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -193,6 +193,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -271,9 +271,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CGaussianError, 
+	}
+	PyErr_SetString(CGaussianError, 
                    "CGaussian.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CHardsphereStructure.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CHardsphereStructure.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CHardsphereStructure.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -195,6 +195,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -274,9 +274,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CHardsphereStructureError, 
+	}
+	PyErr_SetString(CHardsphereStructureError, 
                    "CHardsphereStructure.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CHayterMSAStructure.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CHayterMSAStructure.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CHayterMSAStructure.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -199,6 +199,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -282,9 +282,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CHayterMSAStructureError, 
+	}
+	PyErr_SetString(CHayterMSAStructureError, 
                    "CHayterMSAStructure.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CHollowCylinderModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CHollowCylinderModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CHollowCylinderModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -213,6 +213,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -306,9 +306,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CHollowCylinderModelError, 
+	}
+	PyErr_SetString(CHollowCylinderModelError, 
                    "CHollowCylinderModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CLamellarFFHGModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLamellarFFHGModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CLamellarFFHGModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -203,6 +203,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -289,9 +289,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CLamellarFFHGModelError, 
+	}
+	PyErr_SetString(CLamellarFFHGModelError, 
                    "CLamellarFFHGModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CLamellarModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLamellarModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CLamellarModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -198,6 +198,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -280,9 +280,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CLamellarModelError, 
+	}
+	PyErr_SetString(CLamellarModelError, 
                    "CLamellarModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CLamellarPSHGModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLamellarPSHGModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CLamellarPSHGModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -209,6 +209,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -300,9 +300,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CLamellarPSHGModelError, 
+	}
+	PyErr_SetString(CLamellarPSHGModelError, 
                    "CLamellarPSHGModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CLamellarPSModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLamellarPSModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CLamellarPSModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -203,6 +203,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -289,9 +289,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CLamellarPSModelError, 
+	}
+	PyErr_SetString(CLamellarPSModelError, 
                    "CLamellarPSModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CLogNormal.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLogNormal.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CLogNormal.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -193,6 +193,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -271,9 +271,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CLogNormalError, 
+	}
+	PyErr_SetString(CLogNormalError, 
                    "CLogNormal.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CLorentzian.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CLorentzian.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CLorentzian.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -193,6 +193,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -271,9 +271,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CLorentzianError, 
+	}
+	PyErr_SetString(CLorentzianError, 
                    "CLorentzian.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CMultiShellModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CMultiShellModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CMultiShellModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -207,6 +207,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -296,9 +296,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CMultiShellModelError, 
+	}
+	PyErr_SetString(CMultiShellModelError, 
                    "CMultiShellModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/COblateModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/COblateModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/COblateModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -212,6 +212,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -305,9 +305,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(COblateModelError, 
+	}
+	PyErr_SetString(COblateModelError, 
                    "COblateModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CParallelepipedModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CParallelepipedModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CParallelepipedModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -217,6 +217,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -313,9 +313,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CParallelepipedModelError, 
+	}
+	PyErr_SetString(CParallelepipedModelError, 
                    "CParallelepipedModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CProlateModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CProlateModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CProlateModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -210,6 +210,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -301,9 +301,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CProlateModelError, 
+	}
+	PyErr_SetString(CProlateModelError, 
                    "CProlateModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CSphereModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CSphereModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CSphereModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -197,6 +197,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -278,9 +278,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CSphereModelError, 
+	}
+	PyErr_SetString(CSphereModelError, 
                    "CSphereModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CSquareWellStructure.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CSquareWellStructure.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CSquareWellStructure.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -197,6 +197,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -278,9 +278,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CSquareWellStructureError, 
+	}
+	PyErr_SetString(CSquareWellStructureError, 
                    "CSquareWellStructure.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CStackedDisksModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CStackedDisksModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CStackedDisksModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -217,6 +217,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -314,9 +314,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CStackedDisksModelError, 
+	}
+	PyErr_SetString(CStackedDisksModelError, 
                    "CStackedDisksModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CStickyHSStructure.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CStickyHSStructure.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CStickyHSStructure.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -197,6 +197,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -278,9 +278,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CStickyHSStructureError, 
+	}
+	PyErr_SetString(CStickyHSStructureError, 
                    "CStickyHSStructure.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CTriaxialEllipsoidModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CTriaxialEllipsoidModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CTriaxialEllipsoidModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -208,6 +208,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -298,9 +298,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CTriaxialEllipsoidModelError, 
+	}
+	PyErr_SetString(CTriaxialEllipsoidModelError, 
                    "CTriaxialEllipsoidModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
Index: sansmodels/src/sans/models/c_models/CVesicleModel.cpp
===================================================================
--- sansmodels/src/sans/models/c_models/CVesicleModel.cpp	(revision a8d6888a4aca60748f072915b7116a8daf50636b)
+++ sansmodels/src/sans/models/c_models/CVesicleModel.cpp	(revision e0a8a3ccbb7fa14ab3d063bb6214bb4828593f76)
@@ -202,6 +202,6 @@
        
         /* Do the calculation. */
-        for ( i=0; i< x_len; i++) {
-            for ( j=0; j< y_len; j++) {
+        for ( j=0; j< y_len; j++) {
+            for ( i=0; i< x_len; i++) {
                 double x_value = *(double *)(x->data + i*x->strides[1]);
       		    double y_value = *(double *)(y->data + j*y->strides[0]);
@@ -287,9 +287,9 @@
 	        return NULL;
 	     }
-	}else{
-	    PyErr_SetString(CVesicleModelError, 
+	}
+	PyErr_SetString(CVesicleModelError, 
                    "CVesicleModel.evalDistribution couln't be run.");
-	    return NULL;
-	}
+	return NULL;
+	
 }
 
